Subject: Re: [DNSOP] Terminology: "primary master"

From: "Paul Hoffman" <[email-masked]>
Date: Sun, 03 Dec 2017 17:49:37 -0800

On 27 Nov 2017, at 5:22, Tony Finch wrote:

> Joe Abley <[email-masked]> wrote:
>> On Nov 23, 2017, at 12:44, Tony Finch <[email-masked]> wrote:
>>
>>> It's quite difficult to have multiple masters and DNSSEC and 
>>> coherent
>>> copies of the zone from all masters - i.e. more effort than just 
>>> spinning
>>> up parallel instances of BIND or Knot in automatic signing mode.
>>
>> Note that I wasn't talking about multiple signers; I was talking 
>> about
>> (from the perspective of one particular slave) having multiple 
>> masters
>> available to serve precisely the same zone.
>
> A primary master is wrt a zone not a server - a zone's primary master 
> is
> a server that's authoritative for a zone and which does not get the 
> zone
> contents via axfr/ixfr, but instead from a master file and/or UPDATE 
> (or
> a non-standard mechanism such as directly from a database).

That sounds correct. It also sounds quite different than what is defined 
in RFC 1996 and RFC 2136. How is this for new wording?

The idea of a primary master is only used in <xref target="RFC1996"/> 
and <xref target="RFC2136"/>, and is considered archaic in other
parts of the DNS. A modern interpretation of the term "primary master" 
is a server that is both authoritative for a zone and that gets its 
updates to the zone from configuration (such as a master file) or from 
UPDATE transactions.

--Paul Hoffman

---

From: Tony Finch <[email-masked]>
Date: Mon, 4 Dec 2017 12:08:01 +0000

Paul Hoffman <[email-masked]> wrote:
> > A primary master is wrt a zone not a server - a zone's primary master is
> > a server that's authoritative for a zone and which does not get the zone
> > contents via axfr/ixfr, but instead from a master file and/or UPDATE (or

   Primary Master  master server at the root of the zone transfer
                   dependency graph.

That's exactly the same meaning as what I wrote above.

> The idea of a primary master is only used in <xref target="RFC1996"/> and
> <xref target="RFC2136"/>, and is considered archaic in other
> parts of the DNS.

Can you please provide citations to show that it's considered archaic?

> A modern interpretation of the term "primary master" is a server that is
> both authoritative for a zone and that gets its updates to the zone from
> configuration (such as a master file) or from UPDATE transactions.

How is that different to what I wrote?

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/  -  I xn--zr8h punycode
Shannon: South 3 or 4, increasing 5 or 6. Moderate or rough. Drizzle. Moderate
or poor.

---

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 04 Dec 2017 07:07:44 -0800

> That's exactly the same meaning as what I wrote above.

That one bit is, yes. However the rest of the quote from 2136 differs.

>> and

Sure: earlier messages in this thread. Some people said that primary 
master does not need to be given in the SOA MNAME field. Some people 
said that there could be multiple primary masters.

> How is that different to what I wrote?

Just editorial changes.

--Paul Hoffman